Bug 808908 - Review Request: boost-gdb-printers - GDB pretty printers for boost
Review Request: boost-gdb-printers - GDB pretty printers for boost
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 11:45 EDT by David Tardon
Modified: 2014-04-24 11:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 11:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Tardon 2012-04-01 11:45:06 EDT
Spec URL: http://dtardon.fedorapeople.org/boost-gdb-printers.spec
SRPM URL: http://dtardon.fedorapeople.org/boost-gdb-printers-1-1.fc16.src.rpm
Description:

A collection of pretty printers for GDB 7.x for various boost types.
Currently it handles classes from the following boost modules:
* Optional
* Pointer Container
* Smart Pointer
* Unordered
Comment 1 David Tardon 2012-04-04 14:32:11 EDT
Spec URL: http://dtardon.fedorapeople.org/boost-gdb-printers.spec
SRPM URL: http://dtardon.fedorapeople.org/boost-gdb-printers-2-1.fc16.src.rpm

New release, works with boost >= 1.48 as well.
Comment 2 Oron Peled 2012-05-18 18:48:56 EDT
It currently fails to build (in the check stage):
  https://koji.fedoraproject.org/koji/getfile?taskID=4087784&name=build.log
      ...
      FAIL: print unordered_map_string_int
      FAIL: print unordered_multimap_string_int
      Running /builddir/build/BUILD/boost-gdb-printers-2/test/v1_44/unordered.exp ...
      ...
Comment 4 Christopher Meng 2014-02-22 20:32:47 EST
404
Comment 5 Christopher Meng 2014-04-20 06:36:52 EDT
Hi David,

Do you still need it now?

Thanks.
Comment 7 Christopher Meng 2014-04-22 22:14:55 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck:

GPL (v3 or later)
-----------------
boost-gdb-printers-3/py/boost/util/compatibility.py
boost-gdb-printers-3/py/boost/util/printing.py
boost-gdb-printers-3/py/boost/v1_44/__init__.py
boost-gdb-printers-3/py/boost/v1_44/lib/unordered.py
boost-gdb-printers-3/py/boost/v1_44/optional.py
boost-gdb-printers-3/py/boost/v1_44/ptr_container.py
boost-gdb-printers-3/py/boost/v1_44/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_44/unordered.py
boost-gdb-printers-3/py/boost/v1_45/__init__.py
boost-gdb-printers-3/py/boost/v1_45/optional.py
boost-gdb-printers-3/py/boost/v1_45/ptr_container.py
boost-gdb-printers-3/py/boost/v1_45/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_45/unordered.py
boost-gdb-printers-3/py/boost/v1_46/__init__.py
boost-gdb-printers-3/py/boost/v1_46/optional.py
boost-gdb-printers-3/py/boost/v1_46/ptr_container.py
boost-gdb-printers-3/py/boost/v1_46/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_46/unordered.py
boost-gdb-printers-3/py/boost/v1_47/__init__.py
boost-gdb-printers-3/py/boost/v1_47/optional.py
boost-gdb-printers-3/py/boost/v1_47/ptr_container.py
boost-gdb-printers-3/py/boost/v1_47/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_47/unordered.py
boost-gdb-printers-3/py/boost/v1_48/__init__.py
boost-gdb-printers-3/py/boost/v1_48/lib/unordered.py
boost-gdb-printers-3/py/boost/v1_48/optional.py
boost-gdb-printers-3/py/boost/v1_48/ptr_container.py
boost-gdb-printers-3/py/boost/v1_48/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_48/unordered.py
boost-gdb-printers-3/py/boost/v1_49/__init__.py
boost-gdb-printers-3/py/boost/v1_49/optional.py
boost-gdb-printers-3/py/boost/v1_49/ptr_container.py
boost-gdb-printers-3/py/boost/v1_49/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_49/unordered.py
boost-gdb-printers-3/py/boost/v1_50/__init__.py
boost-gdb-printers-3/py/boost/v1_50/optional.py
boost-gdb-printers-3/py/boost/v1_50/ptr_container.py
boost-gdb-printers-3/py/boost/v1_50/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_50/unordered.py
boost-gdb-printers-3/py/boost/v1_51/__init__.py
boost-gdb-printers-3/py/boost/v1_51/optional.py
boost-gdb-printers-3/py/boost/v1_51/ptr_container.py
boost-gdb-printers-3/py/boost/v1_51/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_51/unordered.py
boost-gdb-printers-3/py/boost/v1_52/__init__.py
boost-gdb-printers-3/py/boost/v1_52/lib/unordered.py
boost-gdb-printers-3/py/boost/v1_52/optional.py
boost-gdb-printers-3/py/boost/v1_52/ptr_container.py
boost-gdb-printers-3/py/boost/v1_52/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_52/unordered.py
boost-gdb-printers-3/py/boost/v1_53/__init__.py
boost-gdb-printers-3/py/boost/v1_53/optional.py
boost-gdb-printers-3/py/boost/v1_53/ptr_container.py
boost-gdb-printers-3/py/boost/v1_53/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_53/unordered.py
boost-gdb-printers-3/py/boost/v1_54/__init__.py
boost-gdb-printers-3/py/boost/v1_54/optional.py
boost-gdb-printers-3/py/boost/v1_54/ptr_container.py
boost-gdb-printers-3/py/boost/v1_54/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_54/unordered.py
boost-gdb-printers-3/py/boost/v1_55/__init__.py
boost-gdb-printers-3/py/boost/v1_55/optional.py
boost-gdb-printers-3/py/boost/v1_55/ptr_container.py
boost-gdb-printers-3/py/boost/v1_55/smart_ptr.py
boost-gdb-printers-3/py/boost/v1_55/unordered.py
boost-gdb-printers-3/test/lib/cl_util.c
boost-gdb-printers-3/test/lib/cl_util.h
boost-gdb-printers-3/test/lib/compiler.c
boost-gdb-printers-3/test/lib/compiler.cc
boost-gdb-printers-3/test/lib/opencl_hostapp.c
boost-gdb-printers-3/test/lib/set_unbuffered_mode.c
boost-gdb-printers-3/test/src/optional.cc
boost-gdb-printers-3/test/src/ptr_container.cc
boost-gdb-printers-3/test/src/smart_ptr.cc
boost-gdb-printers-3/test/src/test.cc
boost-gdb-printers-3/test/src/unordered.cc

Unknown or generated
--------------------
boost-gdb-printers-3/autogen.sh
boost-gdb-printers-3/py/boost/util/__init__.py

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[-]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: boost-gdb-printers-3-1.fc21.noarch.rpm
          boost-gdb-printers-3-1.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint boost-gdb-printers
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
boost-gdb-printers (rpmlib, GLIBC filtered):



Provides
--------
boost-gdb-printers:
    boost-gdb-printers



Source checksums
----------------
http://downloads.sourceforge.net/boost-gdb-printers/boost-gdb-printers-3.tar.xz :
  CHECKSUM(SHA256) this package     : 1cb7dd58cecd17cbffdc82dc6a118ea7ef03cba5b267c4b9bfc8cb02e617d385
  CHECKSUM(SHA256) upstream package : 1cb7dd58cecd17cbffdc82dc6a118ea7ef03cba5b267c4b9bfc8cb02e617d385


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn boost-gdb-printers-3-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------------------------------------
It should require python IMO.

PACKAGE APPROVED.
Comment 8 David Tardon 2014-04-23 04:00:55 EDT
New Package SCM Request
=======================
Package Name: boost-gdb-printers
Short Description: GDB pretty printers for boost
Owners: dtardon
Branches: f20
InitialCC:
Comment 9 Jon Ciesla 2014-04-24 08:40:36 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.